header {

    width: 100%;
    height: 10vh;
    padding: 28px 8%;
    display: flex;
    align-items: center;
    justify-content: center;
    justify-content: space-between;
    background-color: #f6f8fa;
    border-bottom: 2px solid #e7ebef;

}
.dark header {
    background-color: rgb(1,4,9);
    border-bottom:2px solid #2e343c;
}

#logo {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #1f2328;

}

#logo h1 {
    font-size: 25px;
    font-family: Inter, sans-serif;
    font-weight: 800;
}

#logo img {
    width: 80px;
    height: 80px;
    transition: .3 ease;

}
.dark #logo h1{
    color: #e3e9ef;
}
.dark #logo img{
    content: url("../img/logo-modo-escuro.svg");
    transition: .3 ease;
    height: 55px;
    width: 55px;
    margin: 20px;
}

#navbar {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    justify-content: space-between;
}

#navbar h1{
    color: #1f2328;
}
.trilho{
    width:  120px;
    height: 60px;
    background-color: #4d4d4d;
    border-radius: 150px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 10px;
    font-size: 26px;
    cursor: pointer;
}
.trilho .indicador{
    width: 45px;
    height: 45px;
    background-color: black;
    border-radius: 50%;
    position: absolute;
    left: 0px;
    transform: scale(0.8);
    transition: .4s;
 }
 .trilho.dark{
    background-color: #c3c3c3;
 }
 .trilho.dark .indicador{
    left: 70px;
    background-color: #fafafa;
 }
.icon-sun, .icon-moon {
    pointer-events: none; /* impede que cliquem no emoji ao invés do botão */
    color: #fafafa;
}

body.dark .icon-sun {
    opacity: 1;
}

body.dark .icon-moon {
    opacity: 1;
}



#nav-list {
    display: flex;
    gap: 30px;
    font-size: 180%;
}

.nav-item {
    color: #1f2328;
    font-family: Inter, sans-serif;
    font-weight: 800;
}
.dark .nav-item a{
    color: #e3e9ef;
}

.nav-item.active a {
    color: #1f2328;
    border-bottom: 3px solid #1f2328;
}
.dark .nav-item.active a{
    color: #e3e9ef;
}



#mobile_btn {
    display: none;
}

.nav-item a:hover {
    text-decoration: underline;
}

.dark .nav-item :hover {
    text-decoration: underline;
}

@media screen and (max-width: 1170px) {

    #logo {
    display: flex;
    justify-content: center;
    align-items: center;
    }

    .dark #logo img{
    height: 50px;
    width: 50px;
    margin: 15px;
    }

    #mobile_btn {
        display: block;
        border: none;
        background-color: transparent;
        font-size: 1.5rem;
        cursor: pointer;
    }

    #mobile_menu.active {
        display: flex;
        position: relative;
        bottom: 80%;
        flex-direction: column;
        align-items: center;

    }

    #mobile_nav_list {
        position: relative;
        display: flex;
        top: 40%;
        left: 35%;
        flex-direction: column;
        gap: 12px;
        margin: 12px 0px;
    }

    #mobile_nav_list {
        list-style: none;
        text-align: center;
    }

}
/*Responsividade tablet*/
@media screen and (max-width: 1024px){
    
    #logo h1 {
    font-size: 20px;
    }

    #logo img {
    width: 70px;
    height: 70px;
    }
    
    #nav-list {
    gap: 20px;
    font-size: 110%;
    }

    .trilho{
    width:  100px;
    height: 50px;
    border-radius: 80px;
    }

    .trilho .indicador{
    width: 40px;
    height: 40px;
    }
    
    .trilho.dark .indicador{
    left: 60px;
    }

}

/*Responsividade mobile*/
@media (max-width: 480px){

    #navbar {
    gap: 80px;
    }

    #logo img {
    width: 60px;
    height: 60px;
    }

    .dark #logo img{
    height: 40px;
    width: 40px;
    border-radius: 40px;
    margin-right: 10px;
    }    

    #logo h1 {
    font-size: 20px;
    }

    #nav-list {
    display: none;
    }

    .trilho{
    width:  90px;
    height: 40px;
    border-radius: 60px;
    }

    .icon-sun, .icon-moon {
        padding: 3px;
    }

    .trilho .indicador{
    width: 40px;
    height: 40px;
    }
    
    .trilho.dark .indicador{
    left: 48%;
    }

}